INTERFACE
SUBROUTINE m7_sedimentation&
 & ( KIDIA , KFDIA , KLON, KLEV,&
 & pxtm1 , pxtte ,&
 & ptp1 ,&
 & pqp1 ,&
 & papp1 , paphp1,&
 & prhoa , pdensaer, prwet,&
 & PTSPHY , PAERODDF&
 & ) 
USE PARKIND1 ,ONLY : JPIM , JPRB
USE YO_AERO_M7,ONLY : ntrac, nmod, nmode,&
 & sigma, sigmaln,&
 & cmedr2mmedr, cphas,&
 & lsedi 
USE YOM_YGFL ,ONLY : NACTAERO
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV
REAL(KIND=JPRB),INTENT(IN) :: ptp1(klon ,klev) , pqp1(klon ,klev) ,&
 & papp1(klon ,klev) , paphp1(klon ,klev+1) ,&
 & pdensaer(klon,klev,nmod), prhoa(klon ,klev) ,&
 & prwet(klon,klev,nmod) 
REAL(KIND=JPRB),INTENT(IN) :: PTSPHY
REAL(KIND=JPRB),INTENT(IN) :: pxtm1(klon ,klev,ntrac)
REAL(KIND=JPRB),INTENT(INOUT) :: pxtte(klon ,klev,ntrac), PAERODDF(klon,NACTAERO,8)
END SUBROUTINE m7_sedimentation
END INTERFACE
